OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
macos.h File Reference

Functions related to MacOS support. More...

Go to the source code of this file.

## Functions
void | ShowMacDialog (const char *title, const char *message, const char *button_label)
| Helper function displaying a message the best possible way.
void | GetMacOSVersion (int *return_major, int *return_minor, int *return_bugfix)
static bool | MacOSVersionIsAtLeast (long major, long minor, long bugfix)
| Check if we are at least running on the specified version of Mac OS.
bool | IsMonospaceFont (CFStringRef name)

## Detailed Description

Functions related to MacOS support.

Definition in file macos.h.

## Function Documentation

static bool MacOSVersionIsAtLeast | ( | long | major,
|  | long | minor,
|  | long | bugfix
| ) |  |
| inline static

Check if we are at least running on the specified version of Mac OS.

Parameters

  major | major version of the os. This would be 10 in the case of 10.4.11.
  minor | minor version of the os. This would be 4 in the case of 10.4.11.
  bugfix | bugfix version of the os. This would be 11 in the case of 10.4.11.

Returns
  true if the running os is at least what we asked, false otherwise.

Definition at line 27 of file macos.h.

void ShowMacDialog | ( | const char * | title,
|  | const char * | message,
|  | const char * | button_label
| ) |  |

Helper function displaying a message the best possible way.

Referenced by CrashLogOSX::DisplayCrashDialog(), and HandleCrash().